
**************************************************************************************************************************************************
*********************************************************** BOOK ANALYSIS ************************************************************************
********************************************************** REPLICATION CODE  *********************************************************************
**********************************************************   CHAPTER 4  **************************************************************************
**************************************************************************************************************************************************

clear
use "/Users/brancati/Documents/Book Project II/Analysis/Analysis-Data/BookProject_DataYear.dta"


*******************************************************************************************************************************************************
****************************************************************   GROWTH   ***************************************************************************
*******************************************************************************************************************************************************

*DESCRIPTIVE STATISTICS*
bysort development protest: summarize wdi_GDPcapGrowth_lag, detail 


**MODEL 1, INTERACTION WITH ECONOMIC DEVELOPMENT**
gen lngdp_growth_lag = lnwdi_GDPcap_lag*wdi_GDPcapGrowth_lag 
ologit size size_lag lnwdi_GDPcap_lag lngdp_growth_lag wdi_GDPcapGrowth_lag wdi_infl_lag ILO_unemploy_lag corrupt_lag eyear pollag1 coup_ALL_lag physint_lag  wdi_population_total_lag wdi_youthpop_lag decade00_2011, cluster (id)
  test lngdp_growth_lag lnwdi_GDPcap_lag wdi_GDPcapGrowth_lag 

forvalues count = -12(1)12 {
local gdp = 7.78
local gdpcount = `gdp'*`count'
  prvalue, x(lnwdi_GDPcap_lag=`gdp' lngdp_growth_lag=`gdpcount' wdi_GDPcapGrowth_lag=`count')
}  


**MODEL 2, ADDITIONAL CONTROLS FOR DEVELOPMENT**

ologit size size_lag lnwdi_GDPcap_lag lngdp_growth_lag wdi_GDPcapGrowth_lag wdi_infl_lag ILO_unemploy_lag corrupt_lag eyear pollag1 coup_ALL_lag physint_lag wdi_population_total_lag wdi_youthpop_lag wdi_InternetUsers_lag wdi_telephone_lag wdi_education2_lag decade00_2011, cluster (id)
  test lnwdi_GDPcap_lag lngdp_growth_lag wdi_GDPcapGrowth_lag 
 

**ROBUSTNESS-MODELS MENTIONED IN TEXT BUT NOT INCLUDED IN FIGURES**

ologit size size_lag lnwdi_GDPcap_lag lngdp_growth_lag wdi_GDPcapGrowth_lag wdi_infl_lag ILO_unemploy_lag corrupt_lag eyear pollag1 coup_ALL_lag physint_lag  wdi_population_total_lag wdi_youthpop_lag decade00_2011 if borderline ==0, cluster (id)
ologit size size_lag lnwdi_GDPcap_lag lngdp_growth_lag wdi_GDPcapGrowth_lag wdi_infl_lag ILO_unemploy_lag corrupt_lag SWIID_gini_net_lag eyear pollag1 coup_ALL_lag physint_lag wdi_population_total_lag wdi_youthpop_lag decade00_2011, cluster (id)
 ologit size size_lag lnwdi_GDPcap_lag lngdp_growth_lag wdi_GDPcapGrowth_lag wdi_infl_lag ILO_unemploy_lag corrupt_lag pollag1 wdi_population_total_lag wdi_youthpop_lag  physint_lag eyear coup_ALL_lag  wdi_InternetUsers_lag wdi_telephone_lag wdi_education2_lag aid100_lag decade00_2011, cluster (id)
ologit size size_lag lnwdi_GDPcap_lag lngdp_growth_lag wdi_GDPcapGrowth_lag wdi_infl_lag ILO_unemploy_lag corrupt_lag wdi_urban_lag eyear pollag1 coup_ALL_lag physint_lag wdi_population_total_lag wdi_youthpop_lag decade00_2011, cluster (id)
ologit size size_lag lnwdi_GDPcap_lag lngdp_growth_lag wdi_GDPcapGrowth_lag wdi_infl_lag ILO_unemploy_lag corrupt_lag aid100_lag  eyear pollag1 coup_ALL_lag physint_lag wdi_population_total_lag wdi_youthpop_lag decade00_2011, cluster (id)
ologit size size_lag lnwdi_GDPcap_lag lngdp_growth_lag wdi_GDPcapGrowth_lag wdi_infl_lag ILO_unemploy_lag corrupt_lag gwf_democracy gwf_party gwf_military gwf_monarchy gwf_personal gwf_warlord wdi_population_total_lag wdi_youthpop_lag physint_lag eyear coup_ALL_lag decade00_2011, cluster (id)
  test gwf_democracy  gwf_party gwf_military gwf_personal 
ologit size size_lag lnwdi_GDPcap_lag lngdp_growth_lag wdi_GDPcapGrowth_lag wdi_infl_lag ILO_unemploy_lag corrupt_lag eyear pollag1 coup_ALL_lag mil_xpnd_gdp_lag  wdi_population_total_lag wdi_youthpop_lag decade00_2011, cluster (id)
ologit size size_lag lnwdi_GDPcap_lag lngdp_growth_lag wdi_GDPcapGrowth_lag wdi_infl_lag ILO_unemploy_lag corrupt_lag eyear pollag1 coup_ALL_lag forcesCAP_lag wdi_population_total_lag wdi_youthpop_lag decade00_2011, cluster (id)

 

 
  

********************************************************************************************************************************************************
***********************************************************  INFLATION *********************************************************************************
********************************************************************************************************************************************************

** DESCRIPTIVE STATISTICS **
bysort development protest: summarize wdi_infl_lag, detail 


**MODEL 3, INTERACTION WITH ECONOMIC DEVELOPMENT**

gen wdi_sqinfl_lag = wdi_infl_lag*wdi_infl_lag
gen lngdp_infl_lag = wdi_infl_lag*lnwdi_GDPcap_lag 
gen lngdp_sqinfl_lag = wdi_sqinfl_lag*lnwdi_GDPcap_lag 

ologit size size_lag lnwdi_GDPcap_lag wdi_infl_lag wdi_sqinfl_lag lngdp_infl_lag lngdp_sqinfl_lag  wdi_GDPcapGrowth_lag ILO_unemploy_lag eyear pollag1 coup_ALL_lag physint_lag wdi_population_total_lag wdi_youthpop_lag decade00_2011, cluster (id)
  test lnwdi_GDPcap_lag lngdp_infl_lag  wdi_infl_lag wdi_sqinfl_lag lngdp_sqinfl_lag

forvalues count = -12(1)12 {
local gdp = 7.8
local gdpcount = `gdp'*`count'
local countsq = `count'*`count'
local countsqgdp = `countsq'*`gdp'
  prvalue, x(lnwdi_GDPcap_lag=`gdp' lngdp_infl_lag=`gdpcount' wdi_infl_lag=`count' wdi_sqinfl_lag=`countsq' lngdp_sqinfl_lag=`countsqgdp')
}  

**MODEL 4, ADDITIONAL CONTROLS FOR DEVELOPMENT**

ologit size size_lag lnwdi_GDPcap_lag wdi_infl_lag wdi_sqinfl_lag lngdp_infl_lag lngdp_sqinfl_lag  wdi_GDPcapGrowth_lag ILO_unemploy_lag eyear pollag1 coup_ALL_lag physint_lag wdi_population_total_lag wdi_youthpop_lag wdi_education2_lag wdi_telephone_lag wdi_InternetUsers_lag decade00_2011 , cluster (id)
  test lnwdi_GDPcap_lag lngdp_infl_lag  wdi_infl_lag wdi_sqinfl_lag lngdp_sqinfl_lag
  

**ROBUSTNESS-MODELS MENTIONED IN TEXT BUT NOT INCLUDED IN FIGURES**
ologit size size_lag lnwdi_GDPcap_lag wdi_infl_lag wdi_sqinfl_lag lngdp_infl_lag lngdp_sqinfl_lag  wdi_GDPcapGrowth_lag ILO_unemploy_lag eyear pollag1 coup_ALL_lag physint_lag wdi_population_total_lag wdi_youthpop_lag decade00_2011 if borderline ==0, cluster (id)
ologit size size_lag lnwdi_GDPcap_lag wdi_infl_lag wdi_sqinfl_lag lngdp_infl_lag lngdp_sqinfl_lag  wdi_GDPcapGrowth_lag ILO_unemploy_lag eyear pollag1 coup_ALL_lag physint_lag wdi_population_total_lag wdi_youthpop_lag decade00_2011 if wdi_infl_lag <1000, cluster (id)
ologit size size_lag lnwdi_GDPcap_lag lngdp_infl_lag wdi_infl_lag wdi_sqinfl_lag lngdp_sqinfl_lag pollag1 wdi_population_total_lag wdi_youthpop_lag physint_lag eyear coup_ALL_lag wdi_InternetUsers_lag wdi_telephone_lag wdi_education2_lag aid100_lag decade00_2011, cluster (id)
ologit size size_lag lnwdi_GDPcap_lag lngdp_infl_lag wdi_infl_lag wdi_sqinfl_lag lngdp_sqinfl_lag pollag1 wdi_population_total_lag wdi_youthpop_lag physint_lag eyear coup_ALL_lag wdi_InternetUsers_lag wdi_telephone_lag wdi_education2_lag wdi_urban_lag decade00_2011, cluster (id)

ologit size size_lag lnwdi_GDPcap_lag lngdp_infl_lag wdi_infl_lag wdi_sqinfl_lag lngdp_sqinfl_lag wdi_GDPcapGrowth_lag ILO_unemploy_lag gwf_democracy gwf_party gwf_military gwf_monarchy gwf_personal gwf_warlord wdi_population_total_lag wdi_youthpop_lag physint_lag eyear coup_ALL_lag decade00_2011, cluster (id)
 test gwf_democracy gwf_party gwf_military gwf_personal 
ologit size size_lag lnwdi_GDPcap_lag wdi_infl_lag wdi_sqinfl_lag lngdp_infl_lag lngdp_sqinfl_lag  wdi_GDPcapGrowth_lag ILO_unemploy_lag eyear pollag1 coup_ALL_lag mil_xpnd_gdp_lag wdi_population_total_lag wdi_youthpop_lag decade00_2011, cluster (id)
ologit size size_lag lnwdi_GDPcap_lag wdi_infl_lag wdi_sqinfl_lag lngdp_infl_lag lngdp_sqinfl_lag  wdi_GDPcapGrowth_lag ILO_unemploy_lag eyear pollag1 coup_ALL_lag forcesCAP_lag wdi_population_total_lag wdi_youthpop_lag decade00_2011, cluster (id)


********************************************************************************************************************************************************
********************************************************  UNEMPLOYMENT *********************************************************************************
********************************************************************************************************************************************************
 
 ** DESCRIPTIVE STATISTICS **
bysort development protest: summarize ILO_unemploy_lag, detail 
bysort development protest: summarize ILO_youth_unemploy_lag, detail 
  
**MODEL 5, INTERACTION WITH ECONOMIC DEVELOPMENT**
gen lngdp_unemploy_lag =ILO_unemploy_lag*lnwdi_GDPcap_lag
ologit size size_lag lnwdi_GDPcap_lag lngdp_unemploy_lag ILO_unemploy_lag wdi_infl_lag wdi_GDPcapGrowth_lag eyear pollag1 coup_ALL_lag physint_lag wdi_population_total_lag wdi_youthpop_lag decade00_2011, cluster (id)
  test lnwdi_GDPcap_lag lngdp_unemploy_lag ILO_unemploy_lag 
  
forvalues count = 0(5)30 {
local gdp = 7.78
local gdpcount = `gdp'*`count'
  prvalue, x(lnwdi_GDPcap_lag=`gdp' lngdp_unemploy_lag=`gdpcount' ILO_unemploy_lag=`count')
}  

**MODEL 6, ADDITIONAL CONTROLS FOR DEVELOPMENT**
ologit size size_lag lnwdi_GDPcap_lag lngdp_unemploy_lag ILO_unemploy_lag wdi_infl_lag wdi_GDPcapGrowth_lag eyear pollag1 coup_ALL_lag physint_lag wdi_population_total_lag wdi_youthpop_lag wdi_InternetUsers_lag wdi_telephone_lag wdi_education2_lag decade00_2011, cluster (id)
  test lnwdi_GDPcap_lag lngdp_unemploy_lag ILO_unemploy_lag 


**ROBUSTNESS-MODELS MENTIONED IN TEXT BUT NOT INCLUDED IN FIGURES**
ologit size size_lag lnwdi_GDPcap_lag lngdp_unemploy_lag ILO_unemploy_lag wdi_infl_lag wdi_GDPcapGrowth_lag eyear pollag1 coup_ALL_lag physint_lag wdi_population_total_lag wdi_youthpop_lag wdi_urban_lag decade00_2011, cluster (id)
ologit size size_lag lnwdi_GDPcap_lag lngdp_unemploy_lag ILO_unemploy_lag wdi_infl_lag wdi_GDPcapGrowth_lag eyear pollag1 coup_ALL_lag physint_lag wdi_population_total_lag wdi_youthpop_lag aid100_lag decade00_2011, cluster (id)

ologit size size_lag lnwdi_GDPcap_lag lngdp_unemploy_lag ILO_unemploy_lag wdi_infl_lag wdi_GDPcapGrowth_lag eyear pollag1 coup_ALL_lag physint_lag wdi_population_total_lag wdi_youthpop_lag decade00_2011 if borderline==0, cluster (id)

ologit size size_lag lnwdi_GDPcap_lag lngdp_unemploy_lag ILO_unemploy_lag wdi_infl_lag wdi_GDPcapGrowth_lag  gwf_democracy gwf_party gwf_military gwf_personal gwf_warlord wdi_population_total_lag wdi_youthpop_lag  physint_lag eyear coup_ALL_lag decade00_2011, cluster (id)
 test gwf_democracy gwf_party gwf_military gwf_personal 

ologit size size_lag lnwdi_GDPcap_lag lngdp_unemploy_lag ILO_unemploy_lag wdi_infl_lag wdi_GDPcapGrowth_lag eyear pollag1 coup_ALL_lag mil_xpnd_gdp_lag wdi_population_total_lag wdi_youthpop_lag decade00_2011, cluster (id)
ologit size size_lag lnwdi_GDPcap_lag lngdp_unemploy_lag ILO_unemploy_lag wdi_infl_lag wdi_GDPcapGrowth_lag eyear pollag1 coup_ALL_lag forcesCAP_lag wdi_population_total_lag wdi_youthpop_lag decade00_2011, cluster (id)

********************************************************************************************************************************************************
********************************************************  YOUTH UNEMPLOYMENT *********************************************************************************
********************************************************************************************************************************************************

  
**MODEL 7, INTERACTION WITH ECONOMIC DEVELOPMENT**
gen lngdp_yunemploy_lag = lnwdi_GDPcap_lag*ILO_youth_unemploy_lag
ologit size size_lag lnwdi_GDPcap_lag lngdp_yunemploy_lag ILO_youth_unemploy_lag wdi_infl_lag wdi_GDPcapGrowth_lag eyear pollag1 coup_ALL_lag physint_lag wdi_population_total_lag wdi_youthpop_lag decade00_2011, cluster (id)
  test lnwdi_GDPcap_lag lngdp_yunemploy_lag ILO_youth_unemploy_lag 


forvalues count = 0(5)30 {
local gdp = 7.78
local gdpcount = `gdp'*`count'
  prvalue, x(lnwdi_GDPcap_lag=`gdp' lngdp_yunemploy_lag=`gdpcount' ILO_youth_unemploy_lag=`count')
}  


**MODEL 8, ADDITIONAL CONTROLS FOR DEVELOPMENT**

ologit size size_lag lnwdi_GDPcap_lag lngdp_yunemploy_lag ILO_youth_unemploy_lag wdi_infl_lag wdi_GDPcapGrowth_lag eyear pollag1 coup_ALL_lag physint_lag wdi_population_total_lag wdi_youthpop_lag wdi_InternetUsers_lag wdi_telephone_lag wdi_education2_lag decade00_2011, cluster (id)
  test lnwdi_GDPcap_lag lngdp_yunemploy_lag ILO_youth_unemploy 
  
  
**ROBUSTNESS-MODELS MENTIONED IN TEXT BUT NOT INCLUDED IN FIGURES** 
ologit size size_lag lnwdi_GDPcap_lag lngdp_yunemploy_lag ILO_youth_unemploy_lag wdi_infl_lag wdi_GDPcapGrowth_lag eyear pollag1 coup_ALL_lag physint_lag wdi_population_total_lag wdi_youthpop_lag decade00_2011 if borderline==0, cluster (id)
ologit size size_lag lnwdi_GDPcap_lag lngdp_yunemploy_lag ILO_youth_unemploy_lag wdi_infl_lag wdi_GDPcapGrowth_lag eyear pollag1 coup_ALL_lag physint_lag wdi_population_total_lag wdi_youthpop_lag wdi_urban_lag decade00_2011, cluster (id)
ologit size size_lag lnwdi_GDPcap_lag lngdp_yunemploy_lag ILO_youth_unemploy_lag wdi_infl_lag wdi_GDPcapGrowth_lag eyear pollag1 coup_ALL_lag physint_lag wdi_population_total_lag wdi_youthpop_lag aid100_lag decade00_2011, cluster (id)

ologit size size_lag lnwdi_GDPcap_lag lngdp_yunemploy_lag ILO_youth_unemploy_lag wdi_infl_lag wdi_GDPcapGrowth_lag gwf_democracy gwf_party gwf_military gwf_personal gwf_warlord wdi_population_total_lag wdi_youthpop_lag  physint_lag eyear coup_ALL_lag decade00_2011, cluster (id)
 test gwf_democracy gwf_party gwf_military gwf_personal 
ologit size size_lag lnwdi_GDPcap_lag lngdp_yunemploy_lag ILO_youth_unemploy_lag wdi_infl_lag wdi_GDPcapGrowth_lag eyear pollag1 coup_ALL_lag mil_xpnd_gdp_lag wdi_population_total_lag wdi_youthpop_lag decade00_2011, cluster (id)
ologit size size_lag lnwdi_GDPcap_lag lngdp_yunemploy_lag ILO_youth_unemploy_lag wdi_infl_lag wdi_GDPcapGrowth_lag eyear pollag1 coup_ALL_lag forcesCAP_lag wdi_population_total_lag wdi_youthpop_lag decade00_2011, cluster (id)
 

*******************************************
*******SUBJECTIVE ECONOMIC INDICATORS *****
*******************************************

**************************
*** STANDARD OF LIVING ***
**************************
** DESCRIPTIVE STATISTICS **
tabstat ec_living_d_lag
bysort development: tabstat ec_living_d ec_living_d_lag 
bysort protest: tabstat ec_living_d_lag 
tabstat wdi_GDPcapGrowth_lag if ec_living_d_lag >=48
tabstat wdi_infl_lag if ec_living_d_lag >=48
tabstat ILO_unemploy_lag if ec_living_d_lag >=48
tabstat ILO_youth_unemploy_lag if ec_living_d_lag >=48
tab protest if ec_living_d_lag < 17.50 
bysort size: tabstat ec_living_d_lag  


**MODEL 9, BASE MODEL (STANDARD OF LIVING)**
ologit size size_lag ec_living_d_lag eyear coup_ALL_lag pollag1 physint_lag wdi_population_total_lag wdi_youthpop_lag, cluster (id)
 forvalues count = 0(10)100 {
  prvalue, x(ec_living_d_lag=`count')
}
 
**MODEL 10, ADDITIONAL CONTROLS (STANDARD OF LIVING)**
ologit size size_lag ec_living_d_lag eyear coup_ALL_lag pollag1 physint_lag wdi_population_total_lag wdi_youthpop_lag wdi_InternetUsers_lag wdi_telephone_lag wdi_education2_lag, cluster (id)


**ROBUSTNESS-MODELS MENTIONED IN TEXT BUT NOT INCLUDED IN FIGURES** 
ologit size size_lag ec_living_d_lag coup_ALL_lag eyear pollag1 physint_lag wdi_population_total_lag wdi_youthpop_lag if borderline ==0, cluster (id)
ologit size size_lag ec_living_d_lag coup_ALL_lag eyear pollag1 physint_lag wdi_population_total_lag wdi_youthpop_lag cv_internet_y cv_cell_y_lag wdi_education2_lag, cluster (id)
ologit size size_lag ec_living_d_lag coup_ALL_lag eyear pollag1 physint_lag wdi_population_total_lag wdi_youthpop_lag wdi_urban_lag, cluster (id)
ologit size size_lag ec_living_d_lag coup_ALL_lag eyear gwf_democracy gwf_party gwf_military gwf_personal gwf_warlord  physint_lag wdi_population_total_lag wdi_youthpop_lag, cluster (id)
  test  gwf_democracy gwf_party gwf_military gwf_personal
ologit size size_lag ec_living_d_lag coup_ALL_lag eyear mil_xpnd_gdp_lag wdi_population_total_lag wdi_youthpop_lag, cluster (id)
ologit size size_lag ec_living_d_lag coup_ALL_lag eyear forcesCAP_lag wdi_population_total_lag wdi_youthpop_lag, cluster (id)


***************************
*** ECONOMIC CONDITIONS ***
***************************

** DESCRIPTIVE STATISTICS **
tabstat ec_economy_no_lag 
bysort development: tabstat ec_economy_no_lag 
bysort protest: tabstat ec_economy_no_lag 
tab protest if ec_economy_no_lag < 21.5
bysort size: tabstat ec_economy_no_lag  


  
**MODEL 11, BASE MODEL (ECONOMIC CONDITIONS)**
ologit size size_lag ec_economy_no_lag eyear coup_ALL_lag pollag1 wdi_population_total_lag wdi_youthpop_lag  physint_lag, cluster (id)
 forvalues count = 0(10)100 {
  prvalue, x(ec_economy_no_lag=`count')
}
 
 
** ADDITIONAL CONTROLS (ECONOMIC CONDITIONS)**
ologit size ec_economy_no_lag eyear pollag1 physint_lag wdi_population_total_lag wdi_youthpop_lag wdi_InternetUsers_lag wdi_telephone_lag wdi_education2_lag, cluster (id)
 *size_lag and coup_all are highly colinear and dropped from the model. 


**ROBUSTNESS-MODELS MENTIONED IN TEXT BUT NOT INCLUDED IN FIGURES** 

ologit size size_lag ec_economy_no_lag eyear coup_ALL_lag pollag1 wdi_population_total_lag wdi_youthpop_lag  physint_lag if borderline==0, cluster (id)

ologit size size_lag ec_economy_no_lag pollag1 wdi_population_total_lag physint_lag eyear coup_ALL_lag cv_internet_y cv_cell_y_lag, cluster(id)
ologit size size_lag ec_economy_no_lag pollag1 wdi_population_total_lag physint_lag eyear coup_ALL_lag wdi_urban_lag, cluster(id)

ologit size size_lag ec_economy_no_lag eyear coup_ALL_lag pollag1 mil_xpnd_gdp_lag wdi_population_total_lag wdi_youthpop_lag, cluster (id)
ologit size size_lag ec_economy_no_lag eyear coup_ALL_lag pollag1 forcesCAP_lag wdi_population_total_lag wdi_youthpop_lag, cluster (id)


ologit size size_lag ec_living_d_lag eyear coup_ALL_lag gwf_democracy gwf_party gwf_military gwf_personal gwf_warlord physint_lag wdi_population_total_lag wdi_youthpop_lag , cluster (id)
 test gwf_democracy gwf_party gwf_military gwf_personal
 
[non-convergence] ologit size size_lag ec_economy_no_lag eyear gwf_democracy gwf_party gwf_military gwf_personal gwf_warlord physint_lag  wdi_population_total_lag wdi_youthpop_lag , cluster (id)
 test gwf_democracy gwf_party gwf_military gwf_personal


 

 
 
 
 
