 **************************************************************************************************************************************************
*********************************************************** BOOK ANALYSIS ************************************************************************
********************************************************** REPLICATION CODE  *********************************************************************
******************************************************  CHAPTER 5 (ELECTIONS) ********************************************************************
**************************************************************************************************************************************************

**************
** ANALYSIS **
**************
clear
use "/Users/brancati/Documents/Book Project II/Analysis/Analysis-Data/BookProject_DataYear.dta"

*Figure 5.1, Model 1, Growth*
gen growth_eyear = wdi_GDPcapGrowth_lag*eyear
logit protest protest_lag lnwdi_GDPcap_lag wdi_GDPcapGrowth_lag growth_eyear eyear corrupt_lag pollag1 physint_lag  decade00_2011, cluster (id)
 *logit protest protest_lag lnwdi_GDPcap_lag wdi_GDPcapGrowth_lag growth_eyear eyear corrupt_lag pollag1 physint_lag  decade00_2011 if borderline==0, cluster (id)
 *logit protest protest_lag lnwdi_GDPcap_lag wdi_GDPcapGrowth_lag growth_eyear eyear corrupt_lag pollag1 physint_lag  decade00_2011, cluster (id) 
 *logit protest protest_lag lnwdi_GDPcap_lag wdi_GDPcapGrowth_lag growth_eyear eyear corrupt_lag pollag1 mil_xpnd_gdp_lag  decade00_2011, cluster (id)
 *logit protest protest_lag lnwdi_GDPcap_lag wdi_GDPcapGrowth_lag growth_eyear eyear corrupt_lag pollag1 forces_lag  decade00_2011, cluster (id)

 test wdi_GDPcapGrowth_lag growth_eyear eyear
 prvalue, x(wdi_GDPcapGrowth_lag=0 growth_eyear=0 eyear = 0)
 prvalue, x(wdi_GDPcapGrowth_lag=0 growth_eyear=0 eyear = 1)
 
 
forvalues count = -12(1)12 {
local eyear = 0
local eyearcount = `eyear'*`count'
  prvalue, x(eyear=`eyear' growth_eyear=`eyearcount' wdi_GDPcapGrowth_lag=`count')
}

forvalues count = -12(1)12 {
local eyear = 1
local eyearcount = `eyear'*`count'
  prvalue, x(eyear=`eyear' growth_eyear=`eyearcount' wdi_GDPcapGrowth_lag=`count')
}

*Figure 5.1, Model 2, Inflation*
gen wdi_sqinfl_lag = wdi_infl_lag*wdi_infl_lag
gen infl_eyear = wdi_infl_lag*eyear 
gen sqinfl_eyear= wdi_sqinfl_lag*eyear

logit protest protest_lag lnwdi_GDPcap_lag wdi_infl_lag wdi_sqinfl_lag infl_eyear sqinfl_eyear eyear pollag1 physint_lag  decade00_2011, cluster (id)
 *logit protest protest_lag lnwdi_GDPcap_lag wdi_infl_lag wdi_sqinfl_lag infl_eyear sqinfl_eyear eyear pollag1 physint_lag  decade00_2011 if borderline==0, cluster (id)
 *logit protest protest_lag lnwdi_GDPcap_lag wdi_infl_lag wdi_sqinfl_lag infl_eyear sqinfl_eyear eyear pollag1 mil_xpnd_gdp_lag   decade00_2011, cluster (id)
 *logit protest protest_lag lnwdi_GDPcap_lag wdi_infl_lag wdi_sqinfl_lag infl_eyear sqinfl_eyear eyear pollag1 forces_lag decade00_2011, cluster (id)
  test wdi_infl_lag wdi_sqinfl_lag eyear infl_eyear sqinfl_eyear
  prvalue, x(wdi_infl_lag=10 wdi_sqinfl_lag=100 eyear=0 infl_eyear=0 sqinfl_eyear=0)
  prvalue, x(wdi_infl_lag=10 wdi_sqinfl_lag=100 eyear=1 infl_eyear=10 sqinfl_eyear=100)

forvalues count = -12(1)12 {
local eyear = 0
local eyearcount = `eyear'*`count'
local countsq = `count'*`count'
local countsqeyear = `countsq'*`eyear'
  prvalue, x(eyear=`eyear' infl_eyear=`eyearcount' wdi_infl_lag=`count' wdi_sqinfl_lag=`countsq' sqinfl_eyear=`countsqeyear')
}  

forvalues count = -12(1)12 {
local eyear = 1
local eyearcount = `eyear'*`count'
local countsq = `count'*`count'
local countsqeyear = `countsq'*`eyear'
  prvalue, x(eyear=`eyear' infl_eyear=`eyearcount' wdi_infl_lag=`count' wdi_sqinfl_lag=`countsq' sqinfl_eyear=`countsqeyear')
}  

*Figure 5.1, Model 3, Unemployment/Youth Unemployment*

gen unemploy_eyear = eyear*ILO_unemploy_lag 
gen yunemploy_eyear = eyear*ILO_youth_unemploy_lag 
 
logit protest protest_lag lnwdi_GDPcap_lag ILO_unemploy_lag  unemploy_eyear eyear pollag1 physint_lag decade00_2011, cluster (id)
 *logit protest protest_lag lnwdi_GDPcap_lag ILO_unemploy_lag  unemploy_eyear eyear pollag1 physint_lag decade00_2011 if borderline==0, cluster (id)
 *logit protest protest_lag lnwdi_GDPcap_lag ILO_unemploy_lag  unemploy_eyear eyear pollag1 mil_xpnd_gdp_lag decade00_2011 if borderline==0, cluster (id)
 *logit protest protest_lag lnwdi_GDPcap_lag ILO_unemploy_lag  unemploy_eyear eyear pollag1 forces_lag decade00_2011 if borderline==0, cluster (id)

  test ILO_unemploy_lag  unemploy_eyear eyear
  prvalue, x(ILO_unemploy_lag=10 unemploy_eyear=0 eyear=0)
  prvalue, x(ILO_unemploy_lag=10 unemploy_eyear=10 eyear=1)
  
forvalues count = 0(5)30 {
local eyear = 0
local eyearcount = `eyear'*`count'
  prvalue, x(eyear=`eyear' unemploy_eyear=`eyearcount' ILO_unemploy_lag =`count')
}

forvalues count = 0(5)30 {
local eyear = 1
local eyearcount = `eyear'*`count'
  prvalue, x(eyear=`eyear' unemploy_eyear=`eyearcount' ILO_unemploy_lag =`count')
}

*Figure 5.1, Model 4, Youth Unemployment*
logit protest protest_lag lnwdi_GDPcap_lag  ILO_youth_unemploy_lag yunemploy_eyear eyear pollag1 physint_lag decade00_2011, cluster (id)
  *logit protest protest_lag lnwdi_GDPcap_lag ILO_youth_unemploy_lag yunemploy_eyear eyear pollag1 physint_lag decade00_2011 if borderline==0, cluster (id)
  *logit protest protest_lag lnwdi_GDPcap_lag ILO_youth_unemploy_lag yunemploy_eyear eyear pollag1 mil_xpnd_gdp_lag decade00_2011 if borderline==0, cluster (id)
  *logit protest protest_lag lnwdi_GDPcap_lag ILO_youth_unemploy_lag yunemploy_eyear eyear pollag1 forces_lag decade00_2011 if borderline==0, cluster (id)

  test ILO_youth_unemploy_lag   yunemploy_eyear eyear
  prvalue, x(ILO_youth_unemploy_lag=10 yunemploy_eyear=0 eyear=0)
  prvalue, x(ILO_youth_unemploy_lag=10 yunemploy_eyear=10 eyear=1)

forvalues count = 0(5)30 {
local eyear = 0
local eyearcount = `eyear'*`count'
  prvalue, x(eyear=`eyear' yunemploy_eyear=`eyearcount' ILO_youth_unemploy_lag =`count')
}

forvalues count = 0(5)30 {
local eyear = 1
local eyearcount = `eyear'*`count'
  prvalue, x(eyear=`eyear' yunemploy_eyear=`eyearcount' ILO_youth_unemploy_lag =`count')
}

*Figure 5.2 Model 5, Standard of Living*
gen living_eyear = ec_living_d_lag*eyear
logit protest protest_lag ec_living_d_lag living_eyear eyear pollag1 physint_lag, cluster (id)
 *logit protest protest_lag ec_living_d_lag living_eyear eyear pollag1 physint_lag if borderline ==0, cluster (id)
 *logit protest protest_lag ec_living_d_lag living_eyear eyear pollag1 mil_xpnd_gdp_lag, cluster (id)
 *logit protest protest_lag ec_living_d_lag living_eyear eyear pollag1 forces_lag, cluster (id)
 test ec_living_d_lag living_eyear eyear
 prvalue, x(ec_living_d_lag=66 living_eyear=0 eyear=0)
 prvalue, x(ec_living_d_lag=66 living_eyear=66 eyear=1)
 
 
forvalues count = 0(10)100 {
 local eyear=0
 local eyearcount = `eyear'*`count'
  prvalue, x(ec_living_d_lag=`count' eyear=`eyear' living_eyear=`eyearcount')
}

forvalues count = 0(10)100 {
 local eyear=1
 local eyearcount = `eyear'*`count'
  prvalue, x(ec_living_d_lag=`count' eyear=`eyear' living_eyear=`eyearcount')
}
 

*Figure 5.2, Model 6, Economic Conditions*
gen economy_eyear = ec_economy_no_lag*eyear
logit protest protest_lag ec_economy_no_lag economy_eyear eyear pollag1 physint_lag, cluster (id)
 *logit protest protest_lag ec_economy_no_lag economy_eyear eyear pollag1 physint_lag if borderline==0, cluster (id)
 *logit protest protest_lag ec_economy_no_lag economy_eyear eyear pollag1 mil_xpnd_gdp_lag, cluster (id)
 *logit protest protest_lag ec_economy_no_lag economy_eyear eyear pollag1 forces_lag, cluster (id)
 test ec_economy_no_lag economy_eyear eyear
 prvalue, x(ec_economy_no_lag=66 economy_eyear=0 eyear=0)
 prvalue, x(ec_economy_no_lag=66 economy_eyear=66 eyear=1)
 
forvalues count = 0(10)100 {
 local eyear=0
 local eyearcount = `eyear'*`count'
  prvalue, x(ec_economy_no_lag=`count' eyear=`eyear' economy_eyear=`eyearcount')
}

forvalues count = 0(10)100 {
 local eyear=1
 local eyearcount = `eyear'*`count'
  prvalue, x(ec_economy_no_lag=`count' eyear=`eyear' economy_eyear=`eyearcount')
}
 
 

*********
* Fraud *
*********

clear
use "/Users/brancati/Documents/Book Project II/Analysis/Analysis-Data/Brancati_Data_Election.dta"


*Descriptive Statistics*
bysort fraud: summarize wdi_GDPcapGrowth_lag, detail 
bysort fraud: summarize wdi_infl_lag, detail 
bysort fraud: summarize ILO_unemploy_lag, detail 
bysort fraud: summarize ILO_youth_unemploy_lag, detail 
bysort fraud: tabstat ec_living_d_lag
bysort fraud: tabstat ec_economy_no_lag 
bysort fraud: tab eprotest 
 

*Figure 5.6, Model 7, Growth*
gen i_growth = lnwdi_GDPcap_lag*wdi_GDPcapGrowth_lag  
logit fraud lnwdi_GDPcap_lag wdi_GDPcapGrowth_lag i_growth corrupt_lag pollag1 mixed majplr etype physint_lag decade00_2011, cluster (id)
 test i_growth lnwdi_GDPcap_lag wdi_GDPcapGrowth_lag
  test mixed majplr 
*logit fraud lnwdi_GDPcap_lag wdi_GDPcapGrowth_lag i_growth corrupt_lag pollag1 mixed majplr etype physint_lag decade00_2011 if borderline==0, cluster (id)
   
forvalues count = -12(1)12  {
local gdp = 7.78
local gdpcount = `gdp'*`count'
  prvalue, x(lnwdi_GDPcap_lag=`gdp' i_growth=`gdpcount'  wdi_GDPcapGrowth_lag =`count')
} 

gen corrupt_growth = corrupt_lag*wdi_GDPcapGrowth_lag
logit fraud lnwdi_GDPcap_lag wdi_GDPcapGrowth_lag corrupt_growth corrupt_lag pollag1 mixed majplr etype physint_lag decade00_2011, cluster (id)
  test corrupt_growth corrupt_lag wdi_GDPcapGrowth_lag
  prvalue, x(corrupt_lag=2 wdi_GDPcapGrowth_lag=10 corrupt_growth=20)
  prvalue, x(corrupt_lag=4 wdi_GDPcapGrowth_lag=10 corrupt_growth=40)
  prvalue, x(corrupt_lag=4 wdi_GDPcapGrowth_lag=0 corrupt_growth=0)
  prvalue, x(corrupt_lag=4 wdi_GDPcapGrowth_lag=-10 corrupt_growth=-40)
*logit fraud lnwdi_GDPcap_lag wdi_GDPcapGrowth_lag corrupt_growth corrupt_lag pollag1 mixed majplr etype physint_lag decade00_2011 if borderline==0, cluster (id)
 
   
*Figure 5.6, Model 8, Inflation*
gen wdi_sqinfl_lag = wdi_infl_lag*wdi_infl_lag
gen i_inflation = lnwdi_GDPcap_lag*wdi_infl_lag 
gen i_sqinflation = lnwdi_GDPcap_lag*wdi_sqinfl_lag

logit fraud lnwdi_GDPcap_lag wdi_infl_lag wdi_sqinfl_lag i_inflation  i_sqinflation pollag1 mixed majplr etype physint_lag decade00_2011, cluster (id)
  test lnwdi_GDPcap_lag wdi_infl_lag wdi_sqinfl_lag i_inflation i_sqinflation    
  test mixed majplr 
*logit fraud lnwdi_GDPcap_lag wdi_infl_lag wdi_sqinfl_lag i_inflation  i_sqinflation pollag1 mixed majplr etype physint_lag decade00_2011 if borderline==0, cluster (id)
  
    
forvalues count = -12(1)12  {
  local gdp = 7.78
  local gdpcount = `gdp'*`count'
  local countsq = `count'*`count'
  local countsqgdp = `gdp'*`countsq'
  prvalue, x(lnwdi_GDPcap_lag=`gdp' wdi_infl_lag=`count' wdi_sqinfl_lag=`countsq' i_inflation=`gdpcount' i_sqinflation=`countsqgdp')
} 


*Figure 5.6, Model 9, Unemployment*
gen i_unemploy = lnwdi_GDPcap_lag*ILO_unemploy_lag 
logit fraud lnwdi_GDPcap_lag  ILO_unemploy_lag i_unemploy pollag1 mixed majplr etype physint_lag decade00_2011, cluster (id)
  test i_unemploy lnwdi_GDPcap_lag ILO_unemploy_lag 
  test mixed majplr
*logit fraud lnwdi_GDPcap_lag  ILO_unemploy_lag i_unemploy pollag1 mixed majplr etype physint_lag decade00_2011 if borderline==0, cluster (id)
 
   
forvalues count = 5(5)30 {
local gdp = 7.78
local gdpcount = `gdp'*`count'
  prvalue, x(lnwdi_GDPcap_lag=`gdp' i_unemploy=`gdpcount' ILO_unemploy_lag=`count')
} 

*Figure 5.6, Model 10, Youth Unemployment*
gen i_yunemploy = lnwdi_GDPcap_lag*ILO_youth_unemploy_lag 
logit fraud lnwdi_GDPcap_lag ILO_youth_unemploy_lag i_yunemploy pollag1 mixed majplr etype physint_lag decade00_2011, cluster (id)
  test i_yunemploy lnwdi_GDPcap_lag ILO_youth_unemploy_lag 
  test mixed majplr
*logit fraud lnwdi_GDPcap_lag ILO_youth_unemploy_lag i_yunemploy pollag1 mixed majplr etype physint_lag decade00_2011 if borderline==0, cluster (id)
  
forvalues count = 5(5)30 {
local gdp = 7.78
local gdpcount = `gdp'*`count'
  prvalue, x(lnwdi_GDPcap_lag=`gdp' i_yunemploy=`gdpcount' ILO_youth_unemploy_lag=`count')
} 

*Figure 5.6, Model 11, Standard of Living*
logit fraud ec_living_d_lag pollag1 mixed majplr etype physint_lag decade00_2011, cluster(id) 
   test mixed majplr
   prvalue, x(ec_living_d_lag=0)
   prvalue, x(ec_living_d_lag=33)
   prvalue, x(ec_living_d_lag=66)
   prvalue, x(ec_living_d_lag=100)
*logit fraud ec_living_d_lag pollag1 mixed majplr etype physint_lag decade00_2011 if borderline==0, cluster(id) 


*Figure 5.6, Model 12, Economic Conditions*
logit fraud ec_economy_no_lag pollag1 mixed majplr etype physint_lag decade00_2011, cluster(id) 
   test mixed majplr
   prvalue, x(ec_economy_no_lag=0)
   prvalue, x(ec_economy_no_lag=33)
   prvalue, x(ec_economy_no_lag=66)
   prvalue, x(ec_economy_no_lag=100)
*logit fraud ec_economy_no_lag pollag1 mixed majplr etype physint_lag decade00_2011 if borderline==0, cluster(id) 


*Figure 5.7, Model 13, Fraud on Protest*
logit eprotest protest_lag fraud boycott lnwdi_GDPcap_lag pollag1 physint_lag decade00_2011, cluster(id)
 prvalue, x(fraud=0)
 prvalue, x(fraud=1)
*logit eprotest protest_lag fraud boycott lnwdi_GDPcap_lag pollag1 physint_lag decade00_2011 if borderline==0, cluster(id)
*logit eprotest protest_lag fraud boycott lnwdi_GDPcap_lag pollag1 physint_lag decade00_2011 if borderline==0 etiming != 1, cluster(id)

*Figure 5.7, Model 14, Fraud on Protest*
logit eprotest protest_lag fraud boycott lnwdi_GDPcap_lag wdi_GDPcapGrowth_lag wdi_infl_lag wdi_sqinfl_lag ILO_unemploy_lag pollag1 physint_lag decade00_2011, cluster(id)
 *logit eprotest protest_lag fraud boycott lnwdi_GDPcap_lag wdi_GDPcapGrowth_lag wdi_infl_lag wdi_sqinfl_lag ILO_unemploy_lag pollag1 physint_lag decade00_2011 if borderline==0, cluster(id)
 *logit eprotest protest_lag fraud boycott ec_living_d_lag pollag1 physint_lag decade00_2011, cluster(id)
 *logit eprotest protest_lag fraud boycott ec_economy_no_lag pollag1 physint_lag decade00_2011, cluster(id)


***********
*Incumbent*
***********
clear
use "/Users/brancati/Documents/Book Project II/Analysis/Analysis-Data/Brancati_Data_Election.dta"

bysort eprotest: summarize  wdi_GDPcapGrowth_lag wdi_infl_lag ILO_unemploy_lag ILO_youth_unemploy_lag if iwin ==1, detail 
bysort eprotest: summarize  ec_living_d_lag ec_economy_no_lag if iwin ==1, detail   

*Figure 5.9, Model 15, Incumbent on Protest*
logit eprotest protest_lag iwin fraud etype lnwdi_GDPcap_lag pollag1 physint_lag decade00_2011, cluster(id)
 prvalue, x(iwin=0) 
 prvalue, x(iwin=1)  
*logit eprotest protest_lag iwin fraud etype lnwdi_GDPcap_lag pollag1 physint_lag decade00_2011 if borderline==0, cluster(id)
*logit eprotest protest_lag iwin fraud etype lnwdi_GDPcap_lag pollag1 physint_lag decade00_2011 if etiming != 1, cluster(id) 

*Figure 5.9, Model 16, Incumbent on Protest*
gen wdi_sqinfl_lag = wdi_infl_lag*wdi_infl_lag
logit eprotest protest_lag iwin fraud etype lnwdi_GDPcap_lag wdi_GDPcapGrowth_lag wdi_infl_lag wdi_sqinfl_lag ILO_unemploy_lag pollag1 physint_lag decade00_2011, cluster(id)
 *logit eprotest protest_lag iwin fraud etype lnwdi_GDPcap_lag wdi_GDPcapGrowth_lag wdi_infl_lag wdi_sqinfl_lag ILO_unemploy_lag pollag1 physint_lag decade00_2011 if borderline==0, cluster(id)
 *logit eprotest protest_lag iwin fraud etype lnwdi_GDPcap_lag wdi_GDPcapGrowth_lag wdi_infl_lag wdi_sqinfl_lag ILO_unemploy_lag pollag1 physint_lag decade00_2011 if etiming != 1, cluster(id)
 *logit eprotest protest_lag iwin fraud etype ec_living_d_lag pollag1 physint_lag decade00_2011, cluster(id)
 *logit eprotest protest_lag iwin fraud etype ec_economy_no_lag pollag1 physint_lag decade00_2011, cluster(id)



*Figure 5.10, Model 17, Growth on Protest under Incumbent Wins*
gen i_growth = lnwdi_GDPcap_lag*wdi_GDPcapGrowth_lag  
logit eprotest protest_lag lnwdi_GDPcap_lag wdi_GDPcapGrowth_lag i_growth corrupt_lag fraud etype pollag1 physint_lag decade00_2011 if iwin == 1, cluster (id)
 test lnwdi_GDPcap_lag wdi_GDPcapGrowth_lag i_growth
 forvalues count = -12(1)12  {
 local gdp = 7.80
 local gdpcount = `gdp'*`count'
 prvalue, x(lnwdi_GDPcap_lag=`gdp' i_growth=`gdpcount'  wdi_GDPcapGrowth_lag =`count')
} 
*logit eprotest protest_lag lnwdi_GDPcap_lag wdi_GDPcapGrowth_lag i_growth corrupt_lag fraud etype pollag1 physint_lag decade00_2011 if iwin == 1 & borderline==0, cluster (id)


*Figure 5.10, Model 18, Inflation on Protest under Incumbent Wins*
*gen wdi_sqinfl_lag = wdi_infl_lag*wdi_infl_lag
gen i_inflation = wdi_GDPcap_lag*wdi_infl_lag 
gen i_sqinflation = wdi_sqinfl_lag*lnwdi_GDPcap_lag 

logit eprotest protest_lag  lnwdi_GDPcap_lag i_inflation wdi_infl_lag wdi_sqinfl_lag i_sqinflation fraud etype pollag1 physint_lag decade00_2011 if iwin == 1, cluster (id)
  test lnwdi_GDPcap_lag wdi_infl_lag wdi_sqinfl_lag i_inflation i_sqinflation 
  forvalues count = -12(1)12  {
  local gdp = 7.80
  local gdpcount = `gdp'*`count'
  local countsq = `count'*`count'
  local countsqgdp = `countsq'*`gdp'
  prvalue, x(lnwdi_GDPcap_lag=`gdp' i_inflation=`gdpcount' wdi_infl_lag=`count' wdi_sqinfl_lag=`countsq' i_sqinflation=`countsqgdp')
} 
*logit eprotest protest_lag  lnwdi_GDPcap_lag i_inflation wdi_infl_lag wdi_sqinfl_lag i_sqinflation fraud etype pollag1 physint_lag decade00_2011 if iwin == 1 & borderline==0, cluster (id)

 
*Figure 5.10, Model 19, Unemployment on Protest under Incumbent Wins*
gen i_unemploy = lnwdi_GDPcap_lag*ILO_unemploy_lag 
gen i_yunemploy = lnwdi_GDPcap_lag*ILO_youth_unemploy_lag 
 
logit eprotest protest_lag  lnwdi_GDPcap_lag i_unemploy ILO_unemploy_lag fraud etype pollag1 physint_lag decade00_2011 if iwin == 1, cluster (id)
  test i_unemploy lnwdi_GDPcap_lag ILO_unemploy_lag 
*logit eprotest protest_lag  lnwdi_GDPcap_lag i_unemploy ILO_unemploy_lag fraud etype pollag1 physint_lag decade00_2011 if iwin == 1 & borderline == 0, cluster (id)

  
forvalues count = 0(5)30 {
local gdp = 7.80
local gdpcount = `gdp'*`count'
  prvalue, x(lnwdi_GDPcap_lag=`gdp' i_unemploy=`gdpcount' ILO_unemploy_lag=`count')
} 


*Figure 5.10, Model 20, Youth Unemployment on Protest under Incumbent Wins*
logit eprotest protest_lag  lnwdi_GDPcap_lag i_yunemploy ILO_youth_unemploy_lag fraud etype pollag1 physint_lag decade00_2011 if iwin == 1, cluster (id)
  test i_yunemploy lnwdi_GDPcap_lag ILO_youth_unemploy_lag 
*logit eprotest protest_lag  lnwdi_GDPcap_lag i_yunemploy ILO_youth_unemploy_lag fraud etype pollag1 physint_lag decade00_2011 if iwin == 1 & borderline==0, cluster (id)
  
forvalues count = 0(5)30 {
local gdp = 7.80
local gdpcount = `gdp'*`count'
  prvalue, x(lnwdi_GDPcap_lag=`gdp' i_yunemploy=`gdpcount' ILO_youth_unemploy_lag=`count')
} 


*Figure 5.11, Model 21, Standard of Living on Protest under Incumbent Wins*
logit eprotest  protest_lag ec_living_d_lag fraud etype pollag1 physint_lag  if iwin == 1, cluster(id) 
 for num 0(10)100: prvalue, x(ec_living_d_lag=X) 
 prvalue, x(ec_living_d_lag=33)
 prvalue, x(ec_living_d_lag=66)
*logit eprotest  protest_lag ec_living_d_lag fraud etype pollag1 physint_lag if iwin == 1 & borderline==0, cluster(id) 
 

*Figure 5.11, Model 22, Economic Conditions on Protest under Incumbent Wins*
*protest lag could not be included because predicts outcome perfectly. 
logit eprotest ec_economy_no_lag fraud etype pollag1 physint_lag if iwin == 1, cluster(id) 
 for num 0(10)100: prvalue, x(ec_economy_no_lag=X) 
 prvalue, x(ec_economy_no_lag=33)
 prvalue, x(ec_economy_no_lag=66)
*logit eprotest ec_economy_no_lag fraud etype pollag1 physint_lag if iwin == 1 &borderline==0, cluster(id) 


*Figure 5.12, Model 23, 
logit iwin fraud etype pollag1 mixed majplr, cluster(id)
 prvalue, x(fraud=0)
 prvalue, x(fraud=1)
*logit iwin fraud lnwdi_GDPcap_lag wdi_GDPcapGrowth_lag wdi_infl_lag wdi_sqinfl_lag ILO_unemploy_lag etype pollag1 mixed majplr, cluster(id)
 *prvalue, x(wdi_infl_lag=2 wdi_sqinfl_lag=4)
 *prvalue, x(wdi_infl_lag=10 wdi_sqinfl_lag=100)
*logit iwin fraud lnwdi_GDPcap_lag ec_living_d_lag etype pollag1 mixed majplr, cluster(id)
*logit iwin fraud lnwdi_GDPcap_lag ec_economy_no_lag etype pollag1 mixed majplr, cluster(id)
 
*******************
*Margin of Victory*
*******************
clear
use "/Users/brancati/Documents/Book Project II/Analysis/Analysis-Data/Brancati_Data_Election.dta"


*Descriptive Statistics*
bysort eprotest fraud: summarize imargin if etiming!=1

*Figure 5.14, Model 24, Margin of Victory on Protest under Incumbent Wins
gen wdi_sqinfl_lag = wdi_infl_lag*wdi_infl_lag
logit eprotest protest_lag imargin fraud lnwdi_GDPcap_lag wdi_GDPcapGrowth_lag wdi_infl_lag wdi_sqinfl_lag ILO_unemploy_lag  pollag1 physint_lag decade00_2011 if iwin==1 & etiming!=1, cluster(id)
for num 0(10)100: prvalue, x(imargin=X)
*logit eprotest protest_lag imargin fraud lnwdi_GDPcap_lag wdi_GDPcapGrowth_lag wdi_infl_lag wdi_sqinfl_lag ILO_unemploy_lag pollag1 physint_lag decade00_2011 if iwin==1 & etiming!=1 & borderline ==0, cluster(id)
*logit eprotest protest_lag imargin fraud ec_living_d_lag pollag1 physint_lag decade00_2011 if iwin==1 & etiming!=1, cluster(id)
*logit eprotest protest_lag imargin fraud ec_economy_no_lag pollag1 physint_lag decade00_2011 if iwin==1 & etiming!=1, cluster(id)


*Figure 5.14, Model 25, Margin of Victory Interaction with Fraud on Protest under Incumbent Wins*
gen imargin_fraud = imargin*fraud
logit eprotest protest_lag imargin fraud imargin_fraud lnwdi_GDPcap_lag wdi_GDPcapGrowth_lag wdi_infl_lag wdi_sqinfl_lag ILO_unemploy_lag pollag1 physint_lag decade00_2011 if iwin==1 & etiming!=1, cluster(id)
 test imargin imargin_fraud fraud
 for num 0(10)100: prvalue, x(imargin=X) 
 prvalue, x(fraud=0)
 prvalue, x(fraud=1)
for num 0.01(5)55: prvalue, x(imargin=X fraud=1)
  prvalue, x(fraud=1 imargin=10)
  prvalue, x(fraud=1 imargin=25)
*logit eprotest protest_lag imargin fraud imargin_fraud lnwdi_GDPcap_lag wdi_GDPcapGrowth_lag wdi_infl_lag wdi_sqinfl_lag ILO_unemploy_lag pollag1 physint_lag decade00_2011 if iwin==1 & etiming!=1 & borderline ==0 , cluster(id)
 test imargin imargin_fraud fraud
*logit eprotest protest_lag imargin fraud imargin_fraud ec_living_d_lag pollag1 physint_lag decade00_2011 if iwin==1 & etiming!=1, cluster(id)
*logit eprotest protest_lag imargin fraud imargin_fraud ec_economy_no_lag pollag1 physint_lag decade00_2011 if iwin==1 & etiming!=1, cluster(id)


*Figure 5.15, Model 26
reg imargin fraud pollag1 mixed majplr, cluster(id)
 prvalue, x(fraud=0)
 prvalue, x(fraud=1)
 test mixed majplr 
 gen imargin2 = imargin/100
 *glm imargin2 fraud pollag1 mixed majplr,  family(binomial) link(logit)  

* reg imargin fraud pollag1 mixed majplr lnwdi_GDPcap_lag wdi_GDPcapGrowth_lag wdi_infl_lag wdi_sqinfl_lag ILO_unemploy_lag, cluster(id)
* test wdi_infl_lag wdi_sqinfl_lag
* prvalue, x(wdi_infl_lag=2 wdi_sqinfl_lag=4)
* prvalue, x(wdi_infl_lag=10 wdi_sqinfl_lag=100)
* reg imargin fraud pollag1 mixed majplr ec_living_d_lag, cluster(id)
* reg imargin fraud pollag1 mixed majplr ec_economy_no_lag, cluster(id)
 
 
  
 
*Figure 5.15, Model 27
reg imargin fraud pollag1 mixed majplr etype, cluster(id)
 prvalue, x(fraud=0)
 prvalue, x(fraud=1)
 test mixed majplr 
 *glm imargin2 fraud pollag1 mixed majplr etype,  family(binomial) link(logit)  
 

* reg imargin fraud pollag1 mixed majplr etype lnwdi_GDPcap_lag wdi_GDPcapGrowth_lag wdi_infl_lag wdi_sqinfl_lag ILO_unemploy_lag, cluster(id)
* test wdi_infl_lag wdi_sqinfl_lag
* prvalue, x(wdi_infl_lag=2 wdi_sqinfl_lag=4)
* prvalue, x(wdi_infl_lag=10 wdi_sqinfl_lag=100)
* reg imargin fraud pollag1 mixed majplr etype ec_living_d_lag, cluster(id)
* reg imargin fraud pollag1 mixed majplr etype ec_economy_no_lag, cluster(id)
 
 
